Subject: Re: [ANN] Cygwin DEV survey
From: Stipe Tolj <[email-masked]>
To: "Smith, Martin" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>, Cygwin <[email-masked]>
Date: Wed, 10 Mar 1999 02:28:45 +0100

Smith, Martin wrote:
> 
> > Is it wise to change this to binary for a'development'
> > > install or not?
> > 8<
> >
> > NO! The preferred method is text mounts.
> >
> Oops - fair enough, I wasn't sure :-) I guess this implies there are a few
> packages out there aren't properly ported?

that's right. Some porters ease their porting efforts by switching to
binary mounts and hence don't keep track of file IO.

> An automated install tool (like InstallShield) should be able to detect
> which OS the software is being installed on and set up the appropriate
> settings for each. I take the point though that this might not cover all
> cases adequately.

InstallShield will set up all required env vars as much as the users
selects the packages to install. Hence a software detection for the
system is not that much necessary.

> [Martin]  In theory an installer could ask the user what they wanted set up
> but, in practice, I agree this would probably be too much hassle. I
> certainly wouldn't recommend a windows installer as a panacea for all
> installation issues !

it will be capable of allowing to select packages not such dependency
checks as YaST from SuSE can do.

> True, all the tools in one place sounds handy :-) And, as you say, as long
> as people realise that this method of installation may not suit their
> particular needs then there's no problem...

fine

Regards,
Stipe

-- 
Stipe Tolj <[email-masked]>
Cygwin Porting Project
Department of Economical Computer Science        
University of Cologne, Germany                  
http://www-public.rz.uni-duesseldorf.de/~tolj

--
Want to unsubscribe from this list?
Send a message to [email-masked]